Skip to navigation

Retrieve a list of ATS application sources

Returns a paginated list of the application sources configured in the ATS. Use it to discover the valid source slugs for the source_slugs filter when listing applications, and to interpret the source_slug returned on an application.

Token scopes: ats:read, worker:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

cursorstringOptional
Cursor for pagination
limitintegerOptional1-100Defaults to 20
Maximum number of records returned in one response

Response

Successfully retrieved application sources
datalist of objects
Page of application sources.
has_moreboolean
Indicates if there are more application sources to fetch
next_cursorstring or null
Cursor for the next page of results
total_countinteger
Total number of application sources

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error